from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPrintJob(XInterface, Protocol):
    def getPrintOptions(self) -> list[PropertyValue]: ...
    def getPrinter(self) -> list[PropertyValue]: ...
    def getPrintable(self) -> XPrintable: ...
    def cancelJob(self) -> None: ...
